> For the complete documentation index, see [llms.txt](https://docs.gamechat.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gamechat.me/basics/game-chat-v3/game-chat-english/start-using-v3/troubleshooting.md).

# Troubleshooting

## 1. When creating a channel, I get a message that reads "Unable to verify address." <a href="#id-1" id="id-1"></a>

This error occurs when the link\_url you’ve entered is not in the default URL form. Do not enter an address at all or enter the correct address.

## 2. I can’t upload my image. <a href="#id-2" id="id-2"></a>

For security reasons, you can’t upload image types that aren’t allowed.

In **Dashboard > Settings > Allowed Image Upload Types**, enter the MIME TYPE to be allowed such as image/webp, image/heic, image/heic-sequence, image/heif, image/heif-sequence, image/svg+xml ,image/bmp, image/gif, image/jpeg, image/png.

Object Storage must be enabled.

* You can use it after integrating with [Object Storage](https://www.ncloud.com/product/storage/objectStorage) product.

## 3. All messages are received. <a href="#id-3" id="id-3"></a>

If you are subscribed to various channels, you receive messages from all those channels.\
You can distinguish them through channelId.

```javascript
nc.bind('onMessageReceived',function(channel, message) {
// If you are subscribed to various channels, this is where you receive messages from all those channels.
// Channels to be shown to customers need to be distinguished through channel.
if(channel == current_channel) {
console.log(message);
}
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gamechat.me/basics/game-chat-v3/game-chat-english/start-using-v3/troubleshooting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
